<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.2.2
Name: CCDA2 Result Observation
Description: This template represents the results of a lab, radiology, or other study performed on a patient.  The result observation includes a statusCode to allow recording the status of an observation. “Pending” results (e.g., a test has been run but results have not been reported yet) should be represented as “active” ActStatus. 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000">
   <title>CCDA2 Result Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]
Item: (ccda2-ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]
Item: (ccda2-ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]"
         id="tmp-r-1fe07709-4878-45d2-8a2f-65d38f7c5c89">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="string(@classCode)='OBS'">conf-7130: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="string(@moodCode)='EVN'">conf-7131: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']/@nullFlavor)">(ccda2-ResultObservation): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2'])&lt;=1">(ccda2-ResultObservation): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ccda2-ResultObservation): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ccda2-ResultObservation): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:code)&lt;=1">(ccda2-ResultObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:text)&lt;=1">(ccda2-ResultObservation): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:statusCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:statusCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(ccda2-ResultObservation): element hl7:statusCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:statusCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(ccda2-ResultObservation): element hl7:statusCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(ccda2-ResultObservation): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(ccda2-ResultObservation): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(ccda2-ResultObservation): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:value)&lt;=1">(ccda2-ResultObservation): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:methodCode)&lt;=1">(ccda2-ResultObservation): element hl7:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:targetSiteCode)&lt;=1">(ccda2-ResultObservation): element hl7:targetSiteCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']
Item: (ccda2-ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']"
         id="tmp-r-847273eb-0a88-46e7-bc2f-5ecb2139e3ce">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.22.4.2.2'">conf-9138: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.2.2' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:id
Item: (ccda2-ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:code
Item: (ccda2-ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:text
Item: (ccda2-ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:text"
         id="tmp-r-b761666a-56c9-42c3-8aea-9fbf0dd801b3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:reference)&lt;=1">(ccda2-ResultObservation): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:text/hl7:reference
Item: (ccda2-ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:statusCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (ccda2-ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:statusCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-a76fb1f9-d3a0-4dc0-b0a6-8e51d6d13982">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ccda2-ResultObservation): de elementwaarde MOET zijn 2.16.840.1.113883.11.20.9.39 Result Status (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.11.20.9.39-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ccda2-ResultObservation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.11.20.9.39 Result Status (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:effectiveTime
Item: (ccda2-ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:value
Item: (ccda2-ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:interpretationCode
Item: (ccda2-ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:methodCode
Item: (ccda2-ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:methodCode"
         id="tmp-r-91f6688e-aa0d-43e8-932f-cd4fd6769f61">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:targetSiteCode
Item: (ccda2-ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:targetSiteCode"
         id="tmp-r-8a3c745a-3d63-4616-b358-00b7b11859e1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]"
         id="tmp-r-71e2a15f-a188-4b1c-9b6e-89699f289077">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']/@nullFlavor)">(ccda2-AuthorParticipation): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&lt;=1">(ccda2-AuthorParticipation): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(ccda2-AuthorParticipation): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:time)&lt;=1">(ccda2-AuthorParticipation): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(ccda2-AuthorParticipation): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(ccda2-AuthorParticipation): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']"
         id="tmp-r-b100ce5d-43a9-4990-8e78-25676079ae15">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.22.4.119'">conf-32018: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.119' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:time
Item: (ccda2-AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor"
         id="tmp-r-eb12f368-10e3-4b8c-ab3c-a72523d8c6e5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ccda2-AuthorParticipation): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:id)&lt;=1">(ccda2-AuthorParticipation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:code)&lt;=1">(ccda2-AuthorParticipation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(ccda2-AuthorParticipation): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(ccda2-AuthorParticipation): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:id
Item: (ccda2-AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:code
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:code"
         id="tmp-r-51dec7f8-77a2-4b73-b8a9-7486cb8f15f8">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ccda2-AuthorParticipation): de elementwaarde MOET zijn 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ccda2-AuthorParticipation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:assignedPerson
Item: (ccda2-AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-54183b7b-fb07-4341-acf1-88829edf51d1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-5173b4fa-314f-437d-806e-dce640b07fb1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="string(@classCode)='ORG'">(ccda2-AuthorParticipation): de waarde van @classCode MOET 'ORG' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-8ad533f5-a966-4264-b62d-55595480af1d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-7565893c-cca3-47ab-89d1-38fce75a86cd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-5e86aed4-22b7-4ace-a03a-36ea3c53341b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-6de7d21c-0f5d-4b49-bf4e-a64f5c0a05bc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:referenceRange
Item: (ccda2-ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:referenceRange"
         id="tmp-r-4bb86378-8540-42f6-bff4-a996db890fbd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:observationRange)&gt;=1 and not(hl7:observationRange/@nullFlavor)">(ccda2-ResultObservation): element hl7:observationRange is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="count(hl7:observationRange)&lt;=1">(ccda2-ResultObservation): element hl7:observationRange komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:referenceRange/hl7:observationRange
Item: (ccda2-ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:referenceRange/hl7:observationRange/hl7:code
Item: (ccda2-ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.2.2']]/hl7:referenceRange/hl7:observationRange/hl7:code"
         id="tmp-r-d770a99d-4212-45f8-bcf9-27c210eca93b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.10.20.22.4.2.2-2013-01-31T000000.html"
              test="not(cda:referenceRange/cda:observationRange/cda:code)">(ccda2-ResultObservation): This observationRange SHALL NOT contain [0..0] code (CONF:7152).</assert>
   </rule>
</pattern>
