<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.301
Name: KEZO Clinical Information Section
Description: A section containing clinical details about the case such as presenting signs and symptoms, onset date of symptoms, 
                the specific diagnosis/condition names (e.g Ulceroglandular tularemia), who made the diagnosis, their contact information,
                when the diagnosis was made etc., past clinical hx, the overall condition of the patient, etc.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000">
   <title>KEZO Clinical Information Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.301
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]
Item: (kezo-ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]"
         id="tmp-r-db869cb5-dc1e-4bbc-8e07-5bf64a3645e5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/@nullFlavor)">(kezo-ClinicalInformation): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']])&lt;=1">(kezo-ClinicalInformation): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.301
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]
Item: (kezo-ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]"
         id="tmp-r-24aff0f0-cf0c-4bcd-96f6-59d9df179e16">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']/@nullFlavor)">(kezo-ClinicalInformation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301'])&lt;=1">(kezo-ClinicalInformation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="count(hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(kezo-ClinicalInformation): element hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="count(hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(kezo-ClinicalInformation): element hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="count(hl7:title)&lt;=1">(kezo-ClinicalInformation): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(kezo-ClinicalInformation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="count(hl7:text)&lt;=1">(kezo-ClinicalInformation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.301
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']
Item: (kezo-ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']"
         id="tmp-r-534dd7f6-c7ce-4740-9f19-e0e4ba5fe30f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.66.10.301'">(kezo-ClinicalInformation): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.301' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.301
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (kezo-ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-bdfa37b8-a244-4991-89e7-58ee43df955e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-ClinicalInformation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="@nullFlavor or (@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Clinical information')">(kezo-ClinicalInformation): de elementwaarde MOET zijn code '55752-0' codeSystem '2.16.840.1.113883.6.1' displayName='Clinical information'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.301
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:title
Item: (kezo-ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:title"
         id="tmp-r-0b2d7d4a-0ecd-4551-a3ec-01154e4ea50f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-ClinicalInformation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.301
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:text
Item: (kezo-ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.301']]/hl7:text"
         id="tmp-r-166147d0-78e6-4e04-8b3f-2b6bb4206e08">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141008T141541/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.301-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-ClinicalInformation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
